package com.ruoyi.mingxue.service;

import com.ruoyi.mingxue.dto.AppQuestionCollectionResDto;
import com.ruoyi.mingxue.domain.QuestionCollection;

import java.util.List;

/**
 * 题库收藏Service接口
 * 
 * @author mingxue
 * @date 2021-06-24
 */
public interface IQuestionCollectionService 
{
    /**
     * 查询题库收藏
     * 
     * @param questionId 题库收藏ID
     * @return 题库收藏
     */
    public QuestionCollection selectQuestionCollectionById(Long questionId);

    /**
     * 查询题库收藏列表
     * 
     * @param questionCollection 题库收藏
     * @return 题库收藏集合
     */
    public List<QuestionCollection> selectQuestionCollectionList(QuestionCollection questionCollection);

    /**
     * 新增题库收藏
     * 
     * @param questionCollection 题库收藏
     * @return 结果
     */
    public int insertQuestionCollection(QuestionCollection questionCollection);

    /**
     * 修改题库收藏
     * 
     * @param questionCollection 题库收藏
     * @return 结果
     */
    public int updateQuestionCollection(QuestionCollection questionCollection);

    /**
     * 批量删除题库收藏
     * 
     * @param questionIds 需要删除的题库收藏ID
     * @return 结果
     */
    public int deleteQuestionCollectionByIds(Long[] questionIds);

    /**
     * 删除题库收藏信息
     * 
     * @param questionId 题库收藏ID
     * @return 结果
     */
    public int deleteQuestionCollectionById(Long questionId, Long userId);

    List<AppQuestionCollectionResDto> getQuestionCollectionList(Long userId);

    public List<String> selectSubjects(Long userId);

    public List<String> selectQtypes(Long userId, Long subjectId);
    
}
